# Thread class override
# Adds execution_id helpers
class ::Thread
  EXECUTION_ID_LENGTH = 16

   def execution_id
     return self['execution_id']
   end

   def execution_id=(manual_id)
     self['execution_id'] = manual_id
   end

   def clear_execution_id
     self['execution_id'] = nil
   end

   def reset_execution_id
     self['execution_id'] = rand(36**EXECUTION_ID_LENGTH).to_s(36)
   end
end
